Method: customers.quarantinedMessages.deny

Denies a message from a quarantine.

HTTP request

POST https://mailadminquarantine.googleapis.com/v1/{name=customers/*/quarantinedMessages/*}:deny

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the quarantined message to deny.

Request body

The request body must be empty.

Response body

Response message for [quarantinedMessages.deny][].

If successful, the response body contains data with the following structure:

JSON representation
{
  "message": {
    object (QuarantinedMessage)
  }
}
Fields
message

object (QuarantinedMessage)

The denied quarantined message.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/gmail.admin.quarantine

For more information, see the Authorization guide.